close all; clear all; clc;
videoFileName = {'Basketball';
                 'Violin Subway';
                 'News';
                 'Guitar';
                 'Violin Yanni';
                 'Movie1';
                 'Movie2'};
gt_path = './AudioSourceLocalization/GroundTruth/';
video_path = './AudioSourceLocalization/Video/';

for i=1:length(videoFileName)
    video_name = videoFileName{i};
    load(sprintf('%s%s', gt_path, video_name));
    files = dir(sprintf('%s%s/*.jpg', video_path, video_name));
    for j=1:length(files)
        im = imread(sprintf('%s%s/%s', video_path, video_name, files(j).name));
        im_a = .5*double(im)+.5*cat(3,255*ground_truth{j}, zeros([size(ground_truth{j}),2]));
        figure(1);
        imshow(uint8(im_a));
        fprintf('(%d/%d) %s\n', j,length(files), video_name);
    end
end


